> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.getmeadow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment types

> Retrieve all payment types for an organization.



## OpenAPI

````yaml GET /api/v1/payment-types
openapi: 3.0.1
info:
  title: Meadow Open API
  description: The API to connect to the Meadow platform
  version: 1.0.0
servers:
  - url: https://api-staging.getmeadow.com
  - url: https://api.getmeadow.com
security:
  - meadowConsumer: []
    meadowClient: []
paths:
  /api/v1/payment-types:
    get:
      description: Retrieve all payment types for an organization.
      parameters: []
      responses:
        '200':
          description: List payment types response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentType'
              example:
                data:
                  - id: 88
                    name: Cash
                    fee: 0
                    feeDescription: null
                    method: cash
                    feePercent: '0'
                    createdAt: '2025-04-11T20:34:08.842Z'
                  - id: 90
                    name: Debit Card
                    fee: 100
                    feeDescription: Debit Card Fee
                    method: debit
                    feePercent: '3.5'
                    createdAt: '2025-05-08T22:42:31.092Z'
        4XX:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    PaymentType:
      type: object
      properties:
        id:
          type: number
          description: The id for the payment type
        name:
          type: string
          description: The name of the payment type
        fee:
          type: number
          description: The flat fee for using this payment type in cents
        feeDescription:
          type: string
          description: The description for the fee to show to the customer
          nullable: true
        method:
          type: string
          description: The medium the payment type uses to collect payment
          enum:
            - cash
            - debit
            - other
            - stronghold
        feePercent:
          type: string
          description: The percentage fee for this payment type
        createdAt:
          type: string
          description: The date this payment type was created
    APIError:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: A description of the error code
            code:
              type: string
              example: CODE_OF_ERROR_WILL_BE_HERE
  securitySchemes:
    meadowConsumer:
      type: apiKey
      name: X-Consumer-Key
      description: The key assigned to your company and provided via Meadow
      in: header
    meadowClient:
      type: apiKey
      name: X-Client-Key
      description: The key generated and provided by our mutual client
      in: header

````